## netcfg 1.27ubuntu2

=== debian/changelog ===
netcfg (1.27ubuntu2) edgy; urgency=low

  * Bring .po files back into sync with reality.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Jun 2006 14:09:09 +0100

netcfg (1.27ubuntu1) edgy; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from debian unstable.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 29 Jun 2006 22:56:02 +0100

netcfg (1.27) unstable; urgency=low

  * Remove the now useless mapping clause from the interfaces file.
    Closes: #367264

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2006 19:21:13 -0400

netcfg (1.26) unstable; urgency=low

  [ Christian Perrier ]
  * Take advantage of the new po-debconf commenting capabilities
    and adapt translators comment to it
  * Split _Choices to __choices in templates

  [ Bastian Blank ]
  * Ignore sit devices.

  [ Colin Watson ]
  * Make sure empty ESSIDs don't get written to /etc/network/interfaces;
    this causes ifup to fail to bring up lo due to the syntax error.
  * Turn off cancel button on DHCP progress bar once DHCP succeeds (closes:
    https://launchpad.net/bugs/47733).

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:08:32 -0400

netcfg (1.25) unstable; urgency=low

  * Remove temporary workaround for #322723 introduced in 1.13; problem can no
    longer be reproduced.
  * Hack in debian/rules to correct libiw dependency is no longer needed.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Dzongkha (dz.po) by Sonam Rinchen
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by Leang Chumsoben
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Cuhalev

 -- Frans Pop <fjp@debian.org>  Fri, 14 Apr 2006 02:17:42 +0200

netcfg (1.24) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add armeb to the Architecture field.

  [ Joey Hess ]
  * Change class identifier of the dhcp client from "NetcfgDHClient" to just
    "d-i", which is a bit easier to remeber and type.
  * Rebuild with current libd-i to fix udeb deps.

  [ Updated translations ]
  * Bengali (bn.po) by Baishampayan Ghose
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Finnish (fi.po) by Tapio Lehtonen
  * Galician (gl.po) by Jacobo Tarrio
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by Hok Kakada
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Punjabi (Gurmukhi) (pa_IN.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrişor
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 15:28:29 -0500

=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9-1)
Standards-Version: 3.6.1.0

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 sparc alpha m68k arm armeb powerpc mips mipsel hppa ia64 amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 18
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 18
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGES	= $(shell dh_listpackages -s)
DHCP_PACKAGES	= netcfg 

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A usr/lib/base-installer.d etc/network bin
	# Install files that are the same in all packages
	$(foreach PACKAGE, $(PACKAGES), \
	  install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
	  install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg ; \
	  ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
	# Install files that are in all DHCP packages
	$(foreach PACKAGE, $(DHCP_PACKAGES), \
		mkdir -p debian/$(PACKAGE)/etc/dhcp debian/$(PACKAGE)/etc/dhcp3; \
		mkdir -p debian/$(PACKAGE)/var/dhcp ; \
		install -m 755 killall.sh debian/$(PACKAGE)/bin/killall.sh; \
		install -m 755 dhclient-script debian/$(PACKAGE)/etc/dhcp3/dhclient-script; \
		install -m 755 dhclient-script debian/$(PACKAGE)/etc/dhclient-script; )


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdebconf

	(echo ; po2debconf debian/netcfg-common.templates ) \
	   >> debian/netcfg-static/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-common.templates )\
	   >> debian/netcfg/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-dhcp.templates )\
	   >> debian/netcfg/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-static.templates )\
	   >> debian/netcfg/DEBIAN/templates	
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## netcfg 1.32ubuntu4

=== debian/changelog ===
netcfg (1.32ubuntu4) feisty; urgency=low

  * Revert change in 1.32ubuntu3.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 03 Apr 2007 14:53:54 +0200

netcfg (1.32ubuntu3) feisty; urgency=low

  * Add comments in interfaces files on how to enable IPv6 autoconfiguration.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Sat, 31 Mar 2007 07:16:34 +0200

netcfg (1.32ubuntu2) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2007 00:26:31 +0000

netcfg (1.32ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write an /etc/iftab entry for each network interface.
    - Set default hostname to 'ubuntu'.
    - Fix up some backup cases to behave more usefully.
    - Drop priority of netcfg/get_domain to medium.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Give up gracefully if netcfg/wireless_essid was preseeded but
      association failed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 16:31:58 +0000

netcfg (1.32) unstable; urgency=low

  [ Colin Watson ]
  * Fix missing iface subst into netcfg/wireless_essid_again.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Rêzan Tovjîn
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Thu, 30 Nov 2006 15:36:07 +0100

netcfg (1.31ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write an /etc/iftab entry for each network interface.
    - Set default hostname to 'ubuntu'.
    - Fix up some backup cases to behave more usefully.
    - Drop priority of netcfg/get_domain to medium.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Give up gracefully if netcfg/wireless_essid was preseeded but
      association failed.
    - Fix missing iface subst into netcfg/wireless_essid_again.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Nov 2006 10:39:24 +0000

netcfg (1.31) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hindi (hi.po) by Nishant Sharma
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Romanian (ro.po) by Eddy Petrișor
  * Tamil (ta.po) by Damodharan Rajalingam
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 15:20:07 +0200

netcfg (1.30) unstable; urgency=low

  [ Frans Pop ]
  * Improve wording of wireless network type template.

  [ Colin Watson ]
  * Avoid infinite loop on wireless configuration if no access points are
    available, by introducing a slightly different question the second time
    round the loop; entering an empty ESSID there breaks out of wireless
    configuration.

  [ Philip Hands ]
  * free(old_selection) wasn't being called in netcfg_get_interface if only
    one interface was found.
  * Fix random C coding styles (except for ethtool-lite.c, which is internally
    consistent, even if not consistent with the rest of the package).

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Fri,  6 Oct 2006 02:43:28 +0200

netcfg (1.29) unstable; urgency=low

  [ Christian Perrier ]
  * Unmark ${wifireconf} as translatable in templates

  [ Frans Pop ]
  * Set up the loopback interface with address 127.0.0.1/8.
  * Also set up the loopback interface when doing static configuration.


=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9-1)
-Standards-Version: 3.6.1.0
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg
 
 Package: netcfg
 XC-Package-Type: udeb

## netcfg 1.36

=== debian/changelog ===
netcfg (1.36) unstable; urgency=low

  * Forgot to revert string for not yet updated translations.

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 17:46:48 +0100

netcfg (1.35) unstable; urgency=low

  [ Joey Hess ]
  * Add armel architecture.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A
  * Nepali (ne.po) by Shiva Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:56:10 +0100

netcfg (1.34) unstable; urgency=low

  * Add default entries in /etc/networks in line with netbase (static config).
    Closes: #399293.

 -- Frans Pop <fjp@debian.org>  Mon,  5 Feb 2007 21:08:15 +0100

netcfg (1.33) unstable; urgency=low

  * Mention FireWire in generic description for ethX devices to help avoid
    confusing users. Should really be supported as a separate class.
    Thanks to Filipus Klutiero. Closes: #405421.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Hleb Rubanau
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Guillem Jover
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Asho Yeh

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 22:24:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9-1)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg
 
 Package: netcfg
 XC-Package-Type: udeb
-Architecture: i386 sparc alpha m68k arm armeb powerpc mips mipsel hppa ia64 amd64 ppc64
+Architecture: i386 sparc alpha m68k arm armel armeb powerpc mips mipsel hppa ia64 amd64 ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection
 Provides: configured-network
 XB-Installer-Menu-Item: 18

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
-# GNU copyright 1997 to 1999 by Joey Hess.
 
 PACKAGES	= $(shell dh_listpackages -s)
 DHCP_PACKAGES	= netcfg 
@@ -31,9 +29,9 @@
 	dh_installdirs -A usr/lib/base-installer.d etc/network bin
 	# Install files that are the same in all packages
 	$(foreach PACKAGE, $(PACKAGES), \
-	  install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
-	  install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg ; \
-	  ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
+		install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
+		install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg; \
+		ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
 	# Install files that are in all DHCP packages
 	$(foreach PACKAGE, $(DHCP_PACKAGES), \
 		mkdir -p debian/$(PACKAGE)/etc/dhcp debian/$(PACKAGE)/etc/dhcp3; \

## netcfg 1.39ubuntu4

=== debian/changelog ===
netcfg (1.39ubuntu4) gutsy; urgency=low

  * Add missing line-continuation backslash to finish-install script.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Sep 2007 12:13:02 +0100

netcfg (1.39ubuntu3) gutsy; urgency=low

  * Call /usr/lib/network-manager/ifblacklist_migrate.sh from finish-install
    if present, so that 'auto dhcp' interfaces are disabled if
    network-manager is in use (LP: #139403).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2007 12:38:08 +0100

netcfg (1.39ubuntu2) gutsy; urgency=low

  * Revert change to copy udev's persistent-net rules to the target system;
    udev-udeb 113-0ubuntu6 does this now.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jul 2007 13:50:18 +0100

netcfg (1.39ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Bump libiw-dev build-dependency to ensure building against libiw29.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jul 2007 16:32:45 +0100

netcfg (1.39) unstable; urgency=low

  * Switch to dhcp3 as the default DHCP client in the installer.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Fri, 13 Jul 2007 00:54:52 +0200

netcfg (1.38) unstable; urgency=low

  [ Colin Watson ]
  * Copy udev's persistent-net rules to the target system if possible
    (closes: #259747).

  [ Christian Perrier ]
  * Consistent writing in templates: use "has been aborted" instead
    of "will be aborted"

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Japanese (ja.po) by Kenshi Muto
  * Dutch (nl.po) by Frans Pop
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 00:31:33 +0200

netcfg (1.37ubuntu2) gutsy; urgency=low

  * Remove /etc/iftab generation code; copy
    /etc/udev/rules.d/70-persistent-net.rules to /target instead.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 17 Jun 2007 11:16:12 +0100

netcfg (1.37ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write an /etc/iftab entry for each network interface.
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
  * Bump libiw-dev build-dependency to ensure building against libiw29.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Apr 2007 15:24:40 +0100

netcfg (1.37) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Fix backup from netcfg/no_interfaces to behave more usefully.
    - Give up gracefully if netcfg/wireless_essid was preseeded but
      association failed.

  [ Joey Hess ]
  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম)
  * Esperanto (eo.po) by Serge Leblanc
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:33:56 -0400

=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 28+29pre7-1)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 sparc alpha m68k arm armel armeb powerpc mips mipsel hppa ia64 amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp3-client-udeb | dhcp-client-udeb | pump-udeb, ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

## netcfg 1.40ubuntu5

=== Makefile ===
CC		= gcc
TARGETS		?= netcfg-static netcfg

LDOPTS		= -ldebconfclient -ldebian-installer -lm -liw
CFLAGS		= -W -Wall -DNDEBUG 
COMMON_OBJS	= netcfg-common.o wireless.o

ifeq ($(NO_WIRELESS),)
CFLAGS		+= -DWIRELESS
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0 -g3
else
CFLAGS += -Os -fomit-frame-pointer
endif

all: $(TARGETS)

netcfg-static: netcfg-static.o static.o
netcfg: netcfg.o dhcp.o static.o ethtool-lite.o

$(TARGETS): $(COMMON_OBJS)
	$(CC) -o $@ $^ $(LDOPTS)

%.o: %.c
	$(CC) -c $(CFLAGS) $(DEFS) $(INCS) -o $@ $<

clean:
	rm -f $(TARGETS) *.o

.PHONY: all clean

# vim:ts=8:noet

=== debian/changelog ===
netcfg (1.40ubuntu5) hardy; urgency=low

  * Support preseeding netcfg/network-manager to false to suppress
    adjustment of /etc/network/interfaces for network-manager (thanks,
    Andrew Pollock).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Apr 2008 00:06:06 +0100

netcfg (1.40ubuntu4) hardy; urgency=low

  * Backport from trunk:
    - RFC 2181 clarifies that host names may be as short as one octet, so
      allow that (LP: #193054).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Feb 2008 11:19:22 +0000

netcfg (1.40ubuntu3) hardy; urgency=low

  * Add an /etc/network/interfaces stanza for lo even if the netcfg menu
    item wasn't run (LP: #9532).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Dec 2007 15:55:33 +0000

netcfg (1.40ubuntu2) hardy; urgency=low

  * Change priority of netcfg/get_domain to high for static network
    configurations.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 12 Dec 2007 23:56:25 +0100

netcfg (1.40ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium.
    - Bump libiw-dev build-dependency to ensure building against libiw29.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use.
  * debian/control: Add XS-Vcs-Bzr for the Ubuntu branch.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 23 Nov 2007 13:48:46 -0500

netcfg (1.40) unstable; urgency=low

  [ Frans Pop ]
  * Remove alternative dependencies for DHCP clients (not supported by udpkg).

  [ Colin Watson ]
  * Revert change to copy udev's persistent-net rules to the target system,
    as udev-udeb already does this. Closes: #433936.

  [ Joey Hess ]
  * Stop mentioning FireWire in generic description for ethX devices, to avoid
    confusing users. ;-)
    I think this is ok to drop as since hw-detect 1.47, devnames should have
    descriptions for firewire devices. When #405421 was filed,
    sysfs-update-devnames had not been fixed to look in
    /sys/class/net/<foo>/device/bus and so firewire interfaces lacked special
    descriptions.

  [ dann frazier ]
  * Remove unused extern declaration for netcfg_get_dhcp() function in
    netcfg.h. This function was removed in r15113.
  * Request ntp-servers option from dhcp server and store in
    netcfg/dhcp_ntp_servers for later processing by clock-setup.
    See #447071
  * Use POSIX-compliant 'printf' instead of 'echo -n' in dhclient-script

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae Park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Nabin Gautam
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Oct 2007 13:34:15 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 28+29pre7-1)
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg
+XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/netcfg/ubuntu
 
 Package: netcfg
 XC-Package-Type: udeb
 Architecture: i386 sparc alpha m68k arm armel armeb powerpc mips mipsel hppa ia64 amd64 ppc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp3-client-udeb | dhcp-client-udeb | pump-udeb, ethernet-card-detection
+Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp3-client-udeb, ethernet-card-detection
 Provides: configured-network
 XB-Installer-Menu-Item: 1800
 Description: Configure the network

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,12 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs -A usr/lib/base-installer.d etc/network bin
+	dh_installdirs -A usr/lib/base-installer.d usr/lib/finish-install.d etc/network bin
 	# Install files that are the same in all packages
 	$(foreach PACKAGE, $(PACKAGES), \
 		install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
 		install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg; \
+		install -m 755 finish-install debian/$(PACKAGE)/usr/lib/finish-install.d/55netcfg; \
 		ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
 	# Install files that are in all DHCP packages
 	$(foreach PACKAGE, $(DHCP_PACKAGES), \

## netcfg 1.44ubuntu4

=== debian/changelog ===
netcfg (1.44ubuntu4) intrepid; urgency=low

  [ Alain Knaff ]
  * If we detect that the user entered a fully-qualified domain name as the
    hostname, then remove the domain part from the hostname as well as
    copying it to netcfg/get_domain (LP: #11019).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Oct 2008 20:46:52 +0100

netcfg (1.44ubuntu3) intrepid; urgency=low

  * Bump the DHCP timeout to 30 seconds (slightly reluctantly - I still
    advise that people use netcfg/dhcp_timeout to adjust the timeout where
    necessary and possible; LP: #267656).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 12:13:51 +0100

netcfg (1.44ubuntu2) intrepid; urgency=low

  * Build for lpia.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Aug 2008 15:59:17 +0100

netcfg (1.44ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Add an /etc/network/interfaces stanza for lo even if the netcfg menu
      item wasn't run.
  * Drop libiw-dev build-dependency change; it's no longer a practical
    problem.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 May 2008 18:06:18 +0200

netcfg (1.44) unstable; urgency=low

  [ Frans Pop ]
  * killall.sh: use pidof instead of parsing the output of ps to determine
    pids of dhcp clients as the regexp used could result in false positives.
    See #476524 for background.

  [ Jérémy Bobbio ]
  * Define IPv6 ::1 address as "localhost".  (Closes: #477700)
    Thanks to Marco d'Itri for the patch.

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 13:25:15 -0300

netcfg (1.43) unstable; urgency=low

  [ Colin Watson ]
  * RFC 2181 clarifies that host names may be as short as one octet, so
    allow that (LP: #193054).

  [ Frans Pop ]
  * Remove incorrect space before ellipses.
  * Remove David Kimdon, Joshua Kwan, Matt Kraai, Tollef Fog Heen and
    Thomas Hood as Uploaders with many thanks for their past contributions.

  [ Jérémy Bobbio ]
  * Skip raw IEEE 802.11 network devices when looking up available interfaces.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po)
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Wed, 09 Apr 2008 17:30:33 +0200

netcfg (1.42) unstable; urgency=low

  [ Frans Pop ]
  * No longer include the dhclient-script as it is now provided by the
    dhcp3-client-udeb (>= 3.1.0-2).

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Central Khmer (km.po) by Khoem Sokhem
  * Latvian (lv.po) by Viesturs Zarins
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Nepali (ne.po) by Shyam Krishna Bal
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovenian (sl.po) by Matej Kovacic
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po)
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 15:17:34 -0200

netcfg (1.41) unstable; urgency=low

  * No longer copy the dhclient.conf script to the target system. The reason
    this was originally done looks to be obsolete and we should not overwrite
    conffiles from other packages.
  * Don't link against libm; according to dpkg-shlibdeps it's not used.
  * Don't ignore errors in clean target.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Panjabi (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovak (sk.po) by Ivan Masár

 -- Frans Pop <fjp@debian.org>  Mon, 14 Jan 2008 02:58:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 28+29pre7-1)
+Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9-1)
 XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/netcfg/ubuntu
 
 Package: netcfg
 XC-Package-Type: udeb
-Architecture: i386 sparc alpha m68k arm armel armeb powerpc mips mipsel hppa ia64 amd64 ppc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp3-client-udeb, ethernet-card-detection
+Architecture: i386 sparc alpha m68k arm armel armeb powerpc mips mipsel hppa ia64 amd64 ppc64 lpia
+Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp3-client-udeb (>= 3.1.0-2), ethernet-card-detection
 Provides: configured-network
 XB-Installer-Menu-Item: 1800
 Description: Configure the network

## netcfg 1.46

=== debian/changelog ===
netcfg (1.46) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Georgian (ka.po) by Aiet Kolkhi
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Veselin Mijušković

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 19:21:14 -0300

netcfg (1.45) unstable; urgency=low

  [ Martin Michlmayr ]
  * Put in a special case to allow preseeding of no gateway via
    netcfg/get_gateway=none.  (Closes: #497285).

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Omer Zak
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Georgian (ka.po) by Aiet Kolkhi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Turkish (tr.po) by Mert Dirik
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 08 Sep 2008 16:27:20 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9-1)
-XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/netcfg/ubuntu
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg
 
 Package: netcfg
 XC-Package-Type: udeb
-Architecture: i386 sparc alpha m68k arm armel armeb powerpc mips mipsel hppa ia64 amd64 ppc64 lpia
+Architecture: i386 sparc alpha m68k arm armel armeb powerpc mips mipsel hppa ia64 amd64 ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp3-client-udeb (>= 3.1.0-2), ethernet-card-detection
 Provides: configured-network
 XB-Installer-Menu-Item: 1800

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
 
@@ -26,20 +26,17 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs -A usr/lib/base-installer.d usr/lib/finish-install.d etc/network bin
+	dh_installdirs -A usr/lib/base-installer.d etc/network bin
 	# Install files that are the same in all packages
 	$(foreach PACKAGE, $(PACKAGES), \
 		install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
 		install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg; \
-		install -m 755 finish-install debian/$(PACKAGE)/usr/lib/finish-install.d/55netcfg; \
 		ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
 	# Install files that are in all DHCP packages
 	$(foreach PACKAGE, $(DHCP_PACKAGES), \
 		mkdir -p debian/$(PACKAGE)/etc/dhcp debian/$(PACKAGE)/etc/dhcp3; \
 		mkdir -p debian/$(PACKAGE)/var/dhcp ; \
-		install -m 755 killall.sh debian/$(PACKAGE)/bin/killall.sh; \
-		install -m 755 dhclient-script debian/$(PACKAGE)/etc/dhcp3/dhclient-script; \
-		install -m 755 dhclient-script debian/$(PACKAGE)/etc/dhclient-script; )
+		install -m 755 killall.sh debian/$(PACKAGE)/bin/killall.sh)
 
 
 # Build architecture-independent files here.
